#!/bin/sh

# This is Orizon 1.19 (C) 2006-2009, Paolo Perego <thesp0nge@owasp.org>

JAVA=`which java`
# JAVA_PARAMS="-XX:+PrintGCDetails -Xms32m -Xmx512m"
JAVA_PARAMS="-Xms32m -Xmx512m"
RESET=`which reset`

# Make sure we're in the root dirctory of the source code
# by trimming off /bin if its present
# Thanks to Matt Tesauro for patching this.
# <mtesauro@gmail.com>

WORKING_DIR=`pwd`
TRIMMED_DIR=${WORKING_DIR%/bin}
cd $TRIMMED_DIR

VERSION="1.19"

if [ ! -r ./lib/log4j.jar ]; then
	echo "Warning... log4j.jar is missing, link your log4j binary library to ./lib/log4j.jar"
	exit 1;
fi

if [ ! -r ./lib/jline.jar ]; then
	echo "Warning... jline.jar is missing, link your jline binary library to ./lib/jline.jar"
	exit 1;
fi

if [ -r ./lib/orizon-core-$VERSION.jar ]; then
	$JAVA $JAVA_PARAMS -jar ./lib/orizon-core-$VERSION.jar
	$RESET
	exit 0;
fi
